Skip to main content
GET
Retrieve the activity feed

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://login.seamless.ai/oauth/authorize
Token URL
https://api.seamless.ai/api/client/v2/oauth/accessToken

Query Parameters

contactId
integer

Filter the feed to activities for a single contact.

campaignIdentifier
string

Filter the feed to activities for a single campaign.

searchText
string

Free-text search across activity subject and body.

limit
integer
default:25

Maximum number of activities to return (clamped between 1 and 50).

Required range: 1 <= x <= 50
offset
integer
default:0

Number of activities to skip for pagination.

Required range: x >= 0

Response

The activity feed

success
boolean
Example:

true

data
object[]